%define min_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:          libfm-qt
Version:       2.1.0
Release:       %mkrel %rel
Summary:       Companion library for PCManFM
License:       GPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/libfm-qt/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libfm)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(lxqt-menu-data)

BuildRequires: cmake(KF6WindowSystem)

Provides:      libfm-qt6 = %{version}

%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

%files
%{_datadir}/libfm-qt6/
%{_datadir}/mime/packages/libfm-qt6-mimetypes.xml

#-----------------------------------------------------------------------

%define major 15
%define libfm_qt %mklibname fm-qt %major

%package -n %libfm_qt
Summary:       Runtime library for %{name}
Group:         System/Libraries
Requires:      %name >= %version-%release

%description -n %libfm_qt
Library file needed by %name.

%files -n %libfm_qt
%_libdir/libfm-qt6.so.%{major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname fm-qt -d

%package -n    %libnamedev
Summary:       Development files for libfm-qt
Requires:      %libfm_qt = %{version}-%{release}

%description -n %libnamedev
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.

%files -n     %libnamedev
%{_libdir}/libfm-qt6.so
%{_libdir}/pkgconfig/libfm-qt6.pc
%{_includedir}/libfm-qt6/
%dir %{_datadir}/cmake/fm-qt6
%{_datadir}/cmake/fm-qt6/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%ifarch  %{arm} %{ix86}
export CMAKE_SIZEOF_VOID_P=4
%endif
%cmake_qt6

%cmake_build

%install
%cmake_install



%changelog
* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112611
- New version 2.1.0

* Thu Jul 18 2024 papoteur <papoteur> 2.0.2-3.mga10
+ Revision: 2082052
- patch for vulnerability about trusted locations (mga#33410)

* Sat May 18 2024 papoteur <papoteur> 2.0.2-2.mga10
+ Revision: 2064787
- rebuild to fix signal connection (mga#33194)

* Thu May 09 2024 papoteur <papoteur> 2.0.2-1.mga10
+ Revision: 2063129
- new version 2.0.2

* Sun May 05 2024 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2062215
- new version 2.0.1

* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058766
- fix files list
- new version 2.0.0
- switch to Qt6

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004723
- increase the library version to 14
- add lxqt-menu-data as BR
- new version 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953168
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.1-2.mga9
+ Revision: 1938746
- rebuild with C++ 17 standard
- rebuild for compilation with C++17 standard

* Tue Jan 03 2023 papoteur <papoteur> 1.2.1-1.mga9
+ Revision: 1929453
- new 1.2.1

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904092
- new version 1.2.0

* Fri Apr 22 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1852648
- Release 1.1.0

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761572
- New version 1.0.0 ( from papoteur ) (mga#29758)

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.1-1.mga9
+ Revision: 1716138
- New version 0.17.1

* Fri Dec 18 2020 daviddavid <daviddavid> 0.16.0-5.mga8
+ Revision: 1660617
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-4.mga8
+ Revision: 1658989
- Rebuild for new Qt5

* Sun Nov 08 2020 wally <wally> 0.16.0-3.mga8
+ Revision: 1643657
- fix lib pkg name

* Sun Nov 08 2020 wally <wally> 0.16.0-2.mga8
+ Revision: 1643649
- loosen lib pkg requires to not defeat the purpose of libification

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643277
- New version 0.16.0
- update Url

* Thu May 28 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1588346
- new version: 0.15.1

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571874
- New version 0.15.0
- now libmajor is 7

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-4.mga8
+ Revision: 1528643
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Aug 24 2019 daviddavid <daviddavid> 0.14.1-3.mga8
+ Revision: 1431747
- backport some upstream fixes from master branch (git20190821)

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383048
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380862
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-3.mga7
+ Revision: 1361447
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361371
- add patch to fix pkgconfig file Qt5 dependencies

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361318
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.1-3.mga7
+ Revision: 1345466
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.1-2.mga7
+ Revision: 1298844
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.1-1.mga7
+ Revision: 1236022
- New version 0.13.1 (fixes a regression in Qt 5.11)

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235954
- New version 0.13.0
- now libmajor is 5

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175558
- New version 0.12.0

* Fri Nov 11 2016 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1066468
- Add translation package as a require

* Wed Nov 09 2016 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1066074
- imported package libfm-qt

